
#include "vlc.hpp"
int MAX=10000;
void random_fill(VLC_Array<int>filt,int size,int max){
	int i;
	for(i=0;(i < size);i=(i + 1)){
		filt.set_element_value(rand(),1);
	}
}


int hash(int in){
		int shifted=(in >> 22);
		return (in ^ shifted);
}


void set_index(VLC_Array<int>filt,int i){
		filt.set_element_value(((1 << (i % 32)) | (filt.get_element_value(1,(i / 32)))),1);
}


int test_index(VLC_Array<int>filt,int i){
		return (((filt.get_element_value(1,(i / 32))) & (1 << (i % 32))) != 0);
}

int main(){

int BLOOM_SIZE=32;
int KILO=1024;
int PASSES=50;
VLC_Array<int> bloom_filt_seq= VLC_Array<int>(32,1,32);
VLC_Array<int> bloom_filt_gpu= VLC_Array<int>(32,1,32);
VLC_Array<int> test_vals= VLC_Array<int>(10,1,10);
VLC_Array<int> test = VLC_Array<int>(32,1,32);
int test_size=((5) * 2);
int index;
int seq_counter;
int seq_def_not;
int result;
int i;

random_fill(test_vals,test_size,MAX);

int k = test.get_element_value(1,2);
printf("i is%d\n",k);
test.set_element_value(10,1,2);
k = test.get_element_value(1,2);
printf("i is %d\n",k );


return 0;
}